function y = autofun(v,transp_flag)
% perform FT F v = GT G v + HT H v
% where G is a toeplitz matrix built from filter g
% using only the autocorrelation, a, of g
global a e H;
N = length(v);
GTGv=zeros(N,1);
for i = [1:N]
    GTGv(i) =  [fliplr(a(1:i)'),  a(2:N-i+1)'] * v;
    end
Hv = e*H*v;
HTHv =e*H'*Hv;
y = GTGv + HTHv;
return