function mu = eda_forgy_mean(S,K)
% create initial k-mean cluster means, from samples
% randomly drawn NxM sample matrix S
% returns KxM matrix mu of means
    [N,M]=size(S);
    k = unidrnd(N,K,1);
    mu = S(k,1:M);
end

